Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class QueryImpl

    java.lang.Object
      org.hibernate.ejb.QueryImpl

All Implemented Interfaces:
  javax.persistence.Query, HibernateQuery

    public class QueryImpl

extends Object
implements javax.persistence.Query, HibernateQuery

Author:
  Gavin King, Emmanuel Bernard

Constructor Summary
`QueryImpl(org.hibernate.Query query, AbstractEntityManagerImpl em)`

Method Summary
`int` | `executeUpdate()`
`org.hibernate.Query` | `getHibernateQuery()`
`List` | `getResultList()`
`Object` | `getSingleResult()`
`javax.persistence.Query` | `setFirstResult(int firstResult)`
`javax.persistence.Query` | `setFlushMode(javax.persistence.FlushModeType flushMode)`
`javax.persistence.Query` | `setHint(String hintName, Object value)`
`javax.persistence.Query` | `setMaxResults(int maxResult)`
`javax.persistence.Query` | `setParameter(int position, Calendar value, javax.persistence.TemporalType temporalType)`
`javax.persistence.Query` | `setParameter(int position, Date value, javax.persistence.TemporalType temporalType)`
`javax.persistence.Query` | `setParameter(int position, Object value)`
`javax.persistence.Query` | `setParameter(String name, Calendar value, javax.persistence.TemporalType temporalType)`
`javax.persistence.Query` | `setParameter(String name, Date value, javax.persistence.TemporalType temporalType)`
`javax.persistence.Query` | `setParameter(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryImpl

    public QueryImpl(org.hibernate.Query query,
                     AbstractEntityManagerImpl em)

Method Detail

### getHibernateQuery

    public org.hibernate.Query getHibernateQuery()

  Specified by:
    `getHibernateQuery` in interface `HibernateQuery`

### executeUpdate

    public int executeUpdate()

  Specified by:
    `executeUpdate` in interface `javax.persistence.Query`

### getResultList

    public List getResultList()

  Specified by:
    `getResultList` in interface `javax.persistence.Query`

### getSingleResult

    public Object getSingleResult()

  Specified by:
    `getSingleResult` in interface `javax.persistence.Query`

### setMaxResults

    public javax.persistence.Query setMaxResults(int maxResult)

  Specified by:
    `setMaxResults` in interface `javax.persistence.Query`

### setFirstResult

    public javax.persistence.Query setFirstResult(int firstResult)

  Specified by:
    `setFirstResult` in interface `javax.persistence.Query`

### setHint

    public javax.persistence.Query setHint(String hintName,
                                           Object value)

  Specified by:
    `setHint` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(String name,
                                                Object value)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(String name,
                                                Date value,
                                                javax.persistence.TemporalType temporalType)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(String name,
                                                Calendar value,
                                                javax.persistence.TemporalType temporalType)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(int position,
                                                Object value)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(int position,
                                                Date value,
                                                javax.persistence.TemporalType temporalType)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setParameter

    public javax.persistence.Query setParameter(int position,
                                                Calendar value,
                                                javax.persistence.TemporalType temporalType)

  Specified by:
    `setParameter` in interface `javax.persistence.Query`

### setFlushMode

    public javax.persistence.Query setFlushMode(javax.persistence.FlushModeType flushMode)

  Specified by:
    `setFlushMode` in interface `javax.persistence.Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD